%define name xpdf
%define version 0.91
%define release 6mdk
%define urwdir %{_datadir}/fonts/default/Type1

Summary: A PDF file viewer for the X Window System.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source: ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Patch2: %{name}-0.91-t1urw.patch.bz2
Patch3: %{name}-0.90-zapf.patch.bz2
Patch4: %{name}-gcc2.95.patch.bz2
Patch5: %{name}-gcc2.95-again.patch.bz2
Patch6: %{name}-0.90-antihigh.patch.bz2
Patch7: %{name}-0.91-rgb.patch.bz2
URL: http://www.foolabs.com/xpdf/
Group: Office
BuildRequires: XFree86-devel xpm-devel t1lib
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: t1lib-devel
Requires: t1lib >= 1.0, urw-fonts

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files.  PDF files are sometimes called Acrobat files, after Adobe
Acrobat (Adobe's PDF viewer).  Xpdf is a small and efficient program
		which uses standard X fonts.

Install the xpdf package if you need a viewer for PDF files.

%prep
%setup -q
#%patch1 -p1 -b .decrypt
%patch2 -p1 -b .t1urw
%patch3 -p1 -b .zapf
#%patch4 -p0 -b .gcc2.95
#%patch5 -p0 -b .again
%patch6 -p1 -b .antihigh
%patch7 -p1 -b .rgb

%build
%configure --prefix=/usr --with-gzip --bindir=$RPM_BUILD_ROOT%{_bindir} \
	--enable-a4-paper --mandir=$RPM_BUILD_ROOT%{_mandir} \
	--enable-opi \
# --enable-japanese --enable-chinese
%make urwdir=%{urwdir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1,%{_menudir}}
%makeinstall

cat > $RPM_BUILD_ROOT%{_menudir}/xpdf <<EOF
?package(xpdf): command="%{_bindir}/xpdf" needs="X11" \
icon="xpdf.xpm" section="Office" title="Xpdf" \
longtitle="Views PDF files"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}/xpdf
%{_iconsdir}

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.91-6mdk
- build with generic optflags (ghibo )

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.91-5mdk
- icons

* Sat Oct 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.91-4mdk
- fixed 0.91-t1urw patch.

* Sat Oct 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.91-3mdk
- re-adapted patch 0.90-t1urw to version 0.91 (it allows to use
  Type1 URW fonts for standard PDF 14 fonts for better quality).

* Fri Oct 06 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.91-2mdk
- fixed a typo in %post and %postun scripts.
- added icons.
- added rgb, patch from RedHat.
- enabled opi.

* Tue Aug 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.91-1mdk
- s|0.90|0.91| aka decrypt me babe.
- remove the font patch.

* Wed Aug 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-11mdk
- BM
- spechelper

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.90-10mdk
- automatically added BuildRequires

* Fri Apr 21 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-9mdk
- removed xpdf.desktop also from the %install stage.

* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-8mdk
- updated for t1lib 1.0.1.
- added things for new menu entry.
- removed xpdf.desktop.

* Thu Mar 02 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-7mdk
- increased default antialias font level from low to high. Files look
  nicer.

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.90-6mdk
- Correct the URL in the spec file
- remove egcs as build require

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.90-5mdk
- Fix build as non-root.

* Sat Dec 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed a bug for Times-Italic and Helvetica-BoldOblique name in URW fonts.

* Tue Dec 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix for gcc-2.95.

* Fri Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- built for Oxygen.
 
* Mon Sep 27 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added patch to use aliased Type 1 URW fonts by default for standard
  14 PDF fonts.
- added Preston Brown <pbrown@redhat.com>'s zapf patch.

* Wed Aug 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- update to version 0.90.
- strip binaries.
- added t1lib dependencies.

* Thu May  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- converted wmconfig to desktop entry

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- updated to 0.80

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- patched to compile with new, stricter egcs

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.7a

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig
